<?php
		header( 'content-type: text/html; charset=utf-8' );

		error_reporting(0);
		date_default_timezone_set('Europe/Paris');

		$site = $_SERVER["SERVER_NAME"];
		if( ($site == "localhost") || ($site == "127.0.0.1") ) 
		{

			$db_host    = "localhost";
			$db_user   = "root";
			$db_pass   = ""; 
			$db_name   = "test";
		}
		else
		{

			$db_host    = "analogdepat.mysql.db";
			$db_user   = "analogdepat";
			$db_pass   = "Un92pac007";
			$db_name   = "analogdepat";
		}

		$jour = date('d-m-Y');
		$heure = date("H_i_s");
		$infos = $jour.'-'.$heure;
		$fichier = 'db-backup-v3-'.$infos.'.sql';
	
		$path = getcwd();
		$dirs = explode('/', $path);
		$size = sizeof($dirs);
		$appli_path = $dirs[$size - 1];

		
		///// essai du 12 Novembre
		$fichier = '/homez.65/analogde/www/Massage_v3_debug/test_db-backup-v3_'.$infos.'.sql';
		system("mysqldump --host=analogdepat.mysql.db --user=analogdepat --password=Un92pac007 --default-character-set=utf8 analogdepat configuration_v3 client gestion_v3 reservation2015_v3 reservation2016_v3 reservation2017_v3 > $fichier");
		
		//$fichier = "log.txt";
		
		$archiveFile = "archive.zip";
		
		$zip = new ZipArchive();
		// open archive 
		
		if(file_exists("Zip.zip"))
		{
			echo "Existe : on rajoute le backup";
			echo "<br>";
			// ouverture du zip
			  if($zip->open('Zip.zip') == TRUE)
			  {
					$zip->addFile($fichier);
	
				// Et on referme l'archive.
				$zip->close();
				unlink($fichier);

			  }
			
			
			/* if($zip->open($archiveFile) == TRUE)
			 {
				// ajouter
				$zip->addFile($archiveFile , $fichier);
				$zip->close();
			 }*/
			 else
			 {
				echo "Probleme un";
			 }
		}
		else
		{
			echo "N'existe pas : Création";
			echo "<br>";

			// creation
			
			 if($zip->open('Zip.zip', ZipArchive::CREATE) === true)
			 {
				// Ajout d’un fichier.
				$zip->addFile($fichier);
	
				// Et on referme l'archive.
				$zip->close();
				unlink($fichier);
			
			 }
			//$zip->addFile($archiveFile , $fichier);
			
			// ouverture du zip
			/*
			 if($zip->open('archiveFile') == TRUE)
			 {
				// ajouter
				$zip->addFile($archiveFile , $fichier);
				$zip->close();
			 }*/
			 else
			 {
				echo "Probleme deux";
			 }
			
		}
		
		
		
		
	
		
	/*	
		$zipfname = "Zip_Archive" . "_" . date("Y-m-d_H-i-s").".zip";
		
		$zip = new ZipArchive();
		
		if($zip->open($zipfname,ZIPARCHIVE::CREATE)) 
		{
			$zip->addFile($fichier,$fichier);
			$zip->close();
		}
	*/	
	
?>